IMG_8180.jpg=25.3.2012
IMG_2058.jpg=Yaykaas after washing
417188_10150684815209185_636979184_9124741_527942329_n.jpg=11.3.2012 Photo: Heidi Huovila
IMG_2135.jpg=Yaykaas' first time pack-packing
IMG_2040.jpg=Yaykaas after washing
IMG_6532.jpg=2 years
IMG_6511.jpg=Yaykaas - 2 years
IMG_7971.jpg=18.3.2012
IMG_0237.jpg=09/2012
424480_10150684815394185_636979184_9124744_1676527882_n.jpg=11.3.2012 - Photo: Heidi Huovila
IMG_7953.jpg=18.3.2012
IMG_0253.jpg=09/2012
IMG_2718.jpg=Yaykaas 9.10.2011
IMG_6523.jpg=2 years
IMG_2035.jpg=Yaykaas after washing
IMG_2742.jpg=Yaykaas 9.10.2011
IMG_2125.jpg=Yaykaas' first time pack-packing
IMG_2128.jpg=Yaykaas' first time pack-packing
yaykaas.jpg=25.3.2012 Photo: Minna Huuhtanen
IMG_5130.JPG=Yaykaas in Weight pull competition - Photo: Sari Kinnunen
